@import '~leaflet/dist/leaflet.css';
@import '~react-leaflet-markercluster/dist/styles.min.css';

body {
  margin: 0;
}

a {
  text-decoration: none;
}

.app-bar {
  background-color: #ddd !important;
}

.app-bar-icon-container {
  margin-right: 16px !important;

  img {
    max-height: 40px;
  }
}

.app-bar-back-button {
  margin-right: 16px !important;
}

.app-bar-title {
  font-size: 1.5rem !important;
  font-weight: bold !important;
  overflow: hidden;
  text-overflow: ellipsis;
  white-space: nowrap;
}

.app-bar-title-home {
  font-size: 2rem !important;
}

.leaflet-container {
  background-color: unset;
  height: 100vh;
  margin: 0 auto;
  max-height: calc(100%);
  width: 100%;
}

.leaflet-control-zoom {
  top: 64px;
}

.container {
  margin-top: 80px;
}

.layers-chips {
  bottom: 8px;
  list-style: none;
  max-width: calc(100%);
  overflow-x: auto;
  padding: 10px 0;
  position: fixed;
  white-space: nowrap;
  z-index: 1000;

  li {
    display: inline;
    margin: 0 8px;
  }
}

.layer-chip {
  box-shadow: 0 2px 6px #333 !important;
  font-weight: bold;
}

.current-layer-chip-container {
  display: none;
  left: 56px;
  max-width: 100%;
  position: fixed;
  right: 92px;
  text-align: center;
  top: 84px;
  z-index: 900;

  .current-layer-chip {
    border-radius: 20px;
    font-size: 1.3rem;
    max-width: 100%;
    padding: 0.8em 0.1em;
  }
}

.date-time-selector-container {
  position: fixed;
  right: 16px;
  top: 84px;
  z-index: 1000;

  button {
    background-color: #f4f4f4;
  }
}

.icon-centered-container {
  display: flex;

  > * {
    margin: auto;
  }
}

.current-layer-dialog-icon {
  font-size: 12em !important;
}

.dialog-title {
  color: #444;
  font-size: 2.1em !important;
  font-weight: bold !important;
  margin-top: 0.4em !important;
  text-align: center;
}

.dialog-description {
  color: #555;
  font-size: 1.3em !important;
}

.user-dialog-avatar {
  height: 150px !important;
  margin: 0 auto 16px;
  width: 150px !important;
}

.item-card {
  margin-bottom: 12px;

  .item-card-title {
    font-size: 1.2em;
    font-weight: bold;
  }

  .MuiCardContent-root {  /* stylelint-disable-line selector-class-pattern */
    padding: 16px !important;
  }
}

.leaflet-material-icon {
  background-image: url('/images/marker-shadow.png');
  background-position: 5px -9px;
  background-repeat: no-repeat;
  background-size: 41px 41px;
}

.leaflet-material-icon-hidden,
.leaflet-popup-hidden,
.leaflet-tooltip-hidden {
  display: none;
}

.leaflet-material-icon-el {
  color: #8a2be2;
}

.leaflet-material-icon-el-grey {
  color: #808080;
}

.leaflet-cluster-custom-icon {
  background-color: #8a2be2;
  border-radius: 50%;
  box-shadow: 1px 0 6px #111;
  min-width: 40px !important;
  padding: 0 0.5em;
  width: unset !important;

  > div {
    align-items: center;
    color: #fff;
    display: flex;
    font-size: large;
    font-weight: bold;
    height: 100%;
    justify-content: center;
  }
}

.leaflet-cluster-custom-icon-grey {
  background-color: #808080;
}

.page-transition-enter {
  opacity: 0;
}

.page-transition-enter-active {
  opacity: 1;
  transition: opacity 300ms;
}

.page-transition-exit {
  opacity: 1;
}

.page-transition-exit-active {
  opacity: 0;
  transition: opacity 300ms;
}

.MuiDialog-paper {  /* stylelint-disable-line selector-class-pattern */
  border-radius: 12px !important;
}

.MuiAvatar-img {   /* stylelint-disable-line selector-class-pattern */
  background-color: #d3d3d3;
}

.marker-tooltip {
  max-width: 240px;
  padding: 4px;
}

.current-marker-tooltip {
  cursor: default;
  pointer-events: auto;
  width: 240px;
  z-index: 800;
}

.marker-tooltip-avatar {
  height: 32px;
  margin-bottom: 0.4em;
  width: 32px;
}

.marker-tooltip-title {
  color: #444;
  font-size: 0.8rem !important;
  line-height: 1.2 !important;
  overflow: hidden;
  text-align: center;
  text-overflow: ellipsis;
}

.current-marker-tooltip-title {
  font-size: 1rem !important;
  font-weight: bold !important;
  margin-bottom: 0.4em !important;
  overflow: unset;
  text-overflow: unset;
  white-space: normal;
}

.current-marker-tooltip-description {
  -webkit-box-orient: vertical; /* stylelint-disable-line property-no-vendor-prefix */
  color: #666;
  display: -webkit-box; /* stylelint-disable-line value-no-vendor-prefix */
  font-size: 0.9rem !important;
  -webkit-line-clamp: 3;
  margin-bottom: 0.4em !important;
  max-height: 4.5em;
  overflow: hidden;
  white-space: normal;

  p {
    -webkit-box-orient: vertical; /* stylelint-disable-line property-no-vendor-prefix */
    display: -webkit-box; /* stylelint-disable-line value-no-vendor-prefix */
    -webkit-line-clamp: 3;
    margin: 0;
    overflow: hidden;
    white-space: normal;
  }
}
